curl "https://api.dcycle.io/v1/recharge/gases" \
-H "x-api-key: ${DCYCLE_API_KEY}" \
-H "x-organization-id: ${DCYCLE_ORG_ID}"
[
{ "id": "8fd1ff5d-3f57-47cf-ae83-a841fd084b95", "name": "hfc_32" },
{ "id": "475c39ac-1435-4b10-9559-70966ea0800c", "name": "hfc_134a" }
]
List Refrigerant Gases
The refrigerant gases Dcycle calculates fugitive emissions for: the ids for refrigerant_fuel_id on refrigerant invoices
GET
/
v1
/
recharge
/
gases
curl "https://api.dcycle.io/v1/recharge/gases" \
-H "x-api-key: ${DCYCLE_API_KEY}" \
-H "x-organization-id: ${DCYCLE_ORG_ID}"
[
{ "id": "8fd1ff5d-3f57-47cf-ae83-a841fd084b95", "name": "hfc_32" },
{ "id": "475c39ac-1435-4b10-9559-70966ea0800c", "name": "hfc_134a" }
]
← Invoices API
The full catalog of refrigerant gas recharged in a cooling system that Dcycle has emission factors for, sorted by name. Use an
id as refrigerant_fuel_id in
POST /v2/invoices/refrigerants. The list is the same for every organization and
changes rarely, so you can cache it.
curl "https://api.dcycle.io/v1/recharge/gases" \
-H "x-api-key: ${DCYCLE_API_KEY}" \
-H "x-organization-id: ${DCYCLE_ORG_ID}"
[
{ "id": "8fd1ff5d-3f57-47cf-ae83-a841fd084b95", "name": "hfc_32" },
{ "id": "475c39ac-1435-4b10-9559-70966ea0800c", "name": "hfc_134a" }
]
Request
Headers
string
required
Your API key (see Authentication).
string
required
Your organization UUID.
Response
An array of objects, sorted byname:
uuid
The id to send as
refrigerant_fuel_id.string
The name, in English snake_case (e.g.
hfc_134a).Related Endpoints
Create Refrigerant Invoices (v2)
Uses
refrigerant_fuel_idInvoices API
Which route for which consumption
Was this page helpful?